All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.commands
Class MapFilterSelectionsCommand

    com.sas.actionprovider.commands.MapFilterSelectionsCommand

All Implemented Interfaces:
  CommandStatusInterface, ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class MapFilterSelectionsCommand

implements ContentsChangedInterface, CommandStatusInterface

This class implements the map's filter selections command.

Field Summary
`protected boolean` | `contentsChanged`
`protected java.util.HashMap` | `eventInfo`
`protected java.lang.Object` | `eventSource`
`protected boolean` | `filterEnabled`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`MapFilterSelectionsCommand(java.lang.String name)` Constructor that accepts a command name

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes.
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`java.util.HashMap` | `getEventInfo()` Returns a Map of event keys to event values.
`java.lang.Object` | `getEventSource()` Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.
`java.lang.Object` | `getMapViewer()`
`boolean` | `isContentsChanged()` Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Deprecated. Use getCommandStatus().
`void` | `setFilterEnabled(boolean b)`
`void` | `setMapViewer(java.lang.Object mapViewer)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### eventInfo

    protected java.util.HashMap eventInfo

### contentsChanged

    protected boolean contentsChanged

### eventSource

    protected java.lang.Object eventSource

### filterEnabled

    protected boolean filterEnabled

Constructor Detail

### MapFilterSelectionsCommand

    public MapFilterSelectionsCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - command name

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes. This method executes the query

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - currently ignored

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Deprecated. Use getCommandStatus().

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### getMapViewer

    public java.lang.Object getMapViewer()

  Returns:
    Returns the mapViewer.

### setMapViewer

    public void setMapViewer(java.lang.Object mapViewer)

  Parameters:
    `mapViewer` - The mapViewer to set.

### isContentsChanged

    public boolean isContentsChanged()

  Description copied from interface: `ContentsChangedInterface`
  Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    boolean indicating whether the command's target changed.

### getEventInfo

    public java.util.HashMap getEventInfo()

  Description copied from interface: `ContentsChangedInterface`
  Returns a Map of event keys to event values.

  The keys and values on the map are dependent on the command and the type of target object that it operates on.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a Map of event keys to event values.

### getEventSource

    public java.lang.Object getEventSource()

  Description copied from interface: `ContentsChangedInterface`
  Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the target Object of this command.

### setFilterEnabled

    public void setFilterEnabled(boolean b)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.